import 'package:json_annotation/json_annotation.dart';

part "job_student_goups.g.dart";


@JsonSerializable()
class JobStudentGroups extends Object {

  @JsonKey(name: 'groupId')
  int groupId;

  @JsonKey(name: 'groupName')
  String groupName;

  @JsonKey(name: 'classNames')
  List<String> classNames;

  JobStudentGroups(this.groupId,this.groupName,this.classNames,);

  factory JobStudentGroups.fromJson(Map<String, dynamic> srcJson) => _$JobStudentGroupsFromJson(srcJson);

  Map<String, dynamic> toJson() => _$JobStudentGroupsToJson(this);

}


